package com.sd.wln.service.impl;

import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.ruoyi.common.utils.MapUtil;
import com.sd.wln.api.HttpUtils;
import com.sd.wln.api.SkuClassifyParam;
import com.sd.wln.api.WanliAPIConstant;
import com.sd.wln.service.WanliSkuService;
import org.springframework.stereotype.Service;

/**
 * @Author
 * @Description //TODO
 * @Date 2023年07月03日 15:29
 **/
@Service
public class WanliSkuServiceImpl implements WanliSkuService {

    @Override
    public JSONObject getSkuClassIfy(SkuClassifyParam param) {

        param.generate(MapUtil.createLinkString(MapUtil.beanToMap(param)));
        String skuResult = HttpUtils.sendPost(WanliAPIConstant.GOODS_API.getGoodsCatagory, MapUtil.beanToMap(param));
        JSONObject jsonObject = JSONUtil.parseObj(skuResult);
        return jsonObject;
    }
}
