package com.sd.business.mapper.order;

import com.sd.business.entity.order.po.Order;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.order.vo.OrderVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 订单 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-06-30
 */
public interface OrderMapper extends BaseMapper<Order> {

    /**
     * 订单列表
     */
    List<OrderVo> getList(@Param("ew") IWrapper<Order> wrapper);

    /**
     * 订单分页
     */
    Page<OrderVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Order> wrapper);

}
