package com.sd.wln.timer;

import cn.hutool.extra.spring.SpringUtil;
import com.sd.wln.service.ISynchroTimeApi;
import com.sd.wln.api.SkuClassifyParam;
import com.sd.wln.service.WanliService;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @Author
 * @Description //TODO
 * @Date 2023年07月04日 16:12
 **/
@Component
@EnableScheduling
public class Schedule {
    /**
     * 分类拉取---定时器--每天1点执行
     */
    @Scheduled(cron = "0 0 1 * * ?")
    private void configureTasksGetProductCategory(){
        SkuClassifyParam param = new SkuClassifyParam();
        param.setCom_uid("22768050183124");
        WanliService wanliService = SpringUtil.getBean(WanliService.class);
        ISynchroTimeApi iSynchroTimeApi = SpringUtil.getBean(ISynchroTimeApi.class);
        int result = wanliService.importClssify(param);
        if(result>0){
//            //插入一条新的爬取记录
//            SynchroTime synchroTime = new SynchroTime();
//            synchroTime.setModel(SynchroTimeModelEnum.MODEL_PRODUCT_CATEGORY.getValue());
//            synchroTime.setSynchroTime(System.currentTimeMillis());
//            synchroTime.setSize(result);
//            synchroTime.setResult(0);
//            synchroTime.setType(0);
//            iSynchroTimeApi.save(synchroTime);
        }
    }
}
